%
% $Id: install.tex,v 1.4 2001/10/20 23:57:17 prudhomm Exp $
%
% SUMMARY:      
% USAGE:        
%
% AUTHOR:       Christophe Prud'homme <prudhomm@mit.edu>
% ORG:           MIT
% E-MAIL:       prudhomm@mit.edu
%
% ORIG-DATE:     8-Feb-97 at 16:50:12
% LAST-MOD: 20-Oct-01 at 15:44:51 by Christophe Prud'homme
%
% DESCRIPTION:  
% This is part of the FreeFEM Documentation Manual
% Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
%   Christophe Prud'homme and Olivier Pironneau
% See the file fdl.tex for copying conditions.
% DESCRIP-END.



\chapter{Installation}
\label{cha:install}

The installation steps differs with the operating system.
\textbf{FreeFEM} supports two kinds systems :
\begin{itemize}
\item 
  Windows/Cygwin\footnote{\htmladdnormallink{http://www.cygwin.com}{http://www.cygwin.com}} environment
\item
Linux/Unix systems
\end{itemize}
Both systems follows the POSIX standard. It is strongly recommended to use the \texttt{configure}
script. It is much easier and should be platform independent, you don't have to know anything about
your system. Everything is done for you. However one suggests the use of \texttt{make} for the GNU
Project: it is the best \texttt{make} utility and will work without problems with
\textbf{freefem}. This utility is available at several ftp sites in France or in the USA.
\begin{itemize}
\item \htmladdnormallink{prep.mit.ai.edu}{ftp://prep.ai.mit.edu}
\item \htmladdnormallink{ftp.lip6.fr}{ftp://ftp.lip6.fr}
\end{itemize}


\subsection{Configure script}
\label{sec:conf}

type:
\begin{verbatim}
configure
make
make install #if you want to install the software on a site
\end{verbatim}

The binary \texttt{freefem} will be in the directory \texttt{src}.

We use \texttt{autoconf} and \texttt{automake} in conjunction in order to be
as general as possible. These tools are not required to use or compile
\textbf{freeFEM} but if you want to change the code you will need these.
\par
These tools are available on the \textbf{GNU} ftp site:
\texttt{ftp://prep.ai.mit.edu}. You can get them in France at
\texttt{ftp://ftp.ibp.fr/pub/gnu}.

%\paragraph{Mesh adaptation library}

%If you want to compile the mesh adaptation library type:
%\begin{verbatim}
%configure --with-adapt
%make
%make install #if you want to install the software on a site
%\end{verbatim}
%It will enable the mesh adaptation features in \textbf{freeFEM}. Note that you
%have to recompile almost everything.

Type:
\begin{verbatim}
configure 
make
make install #if you want to install the software on a site
\end{verbatim}


\paragraph{Debugging}

By default freefem is compiled with the \texttt{-O2} flags for optimization.
If you want to debug the library, then USE the following \texttt{configure} option
\texttt{--enable-debug}. That is to say, type 
\begin{verbatim}
configure --enable-debug
\end{verbatim}
at the \texttt{configure} step of the installation.

%
%%%%%%%%%%%%% Some Settings for emacs and auc-TeX
% Local Variables:
% TeX-master: "freefem"
% TeX-parse-self: t
% TeX-auto-save: t
% TeX-auto-regexp-list: TeX-auto-full-regexp-list
% End:
% 

